package com.persagy.proxy.object.model;

import com.persagy.proxy.adm.model.AdmBaseEntity;
import lombok.Data;

import java.util.Date;
import java.util.Map;

/**
 * ADM 项目 实体
 * @author Charlie Yu
 * @date 2021-08-16
 */
@Data
public class AdmProject extends AdmBaseEntity<AdmProject> {
    public static final String OBJ_TYPE = "project";
    /** 项目ID */
    private String id;
    /** 项目名称 */
    private String name;
    /** 项目本地编码 */
    private String localId;
    /** 项目本地名称 */
    private String localName;
    /** 对象类型 */
    private String objectType = OBJ_TYPE;
    /** 创建时间 */
    private Date createTime;
    /** 最后更新日期 */
    private Date lastUpdate;
    /** 统计信息 */
    private Map<String, Object> statistics;
}
