package com.persagy.adm.server.backstage.jobhandler;

import com.alibaba.fastjson.JSONObject;
import com.persagy.adm.server.algorithm.constant.AdmServerConstant;
import com.persagy.adm.server.backstage.service.impl.AdmAnalysisFacade;
import com.persagy.common.util.HttpClientUtil.HttpResult;
import com.persagy.common.utils.StringUtil;
import com.persagy.dmp.common.constant.CommonConstant;
import com.xxl.job.core.context.XxlJobHelper;
import com.xxl.job.core.handler.annotation.XxlJob;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * 通用的时间规则调度
 * @author : lijie
 * Update By 2022/1/24 20:32
 */
@Slf4j
@Component
public class CommonTimeRuleJob {

    @XxlJob(AdmServerConstant.MODEL_ANALYSIS_TIME_RULE_JOB)
    public void modelAnalysisJobHandler() throws Exception {
        XxlJobHelper.log("modelAnalysisTimeRuleJob start ...");
        log.info("modelAnalysisTimeRuleJob start ...");
        try {
			AdmAnalysisFacade.analysisAdmModelFile();
			XxlJobHelper.handleSuccess();
		} catch (Exception e) {
			log.error("模型解析定时任务执行失败", e);
			XxlJobHelper.handleFail(e.getMessage());
		} finally {
			log.info("modelAnalysisTimeRuleJob end ... ");
		}
    }

}
