package com.persagy.adm.server.backstage.service;

import com.persagy.adm.server.backstage.domain.AdmAnalysisModel;
import com.persagy.dmp.common.exception.BusinessException;
/**
 * ADM模型解析逻辑处理类
 * @author : lijie
 * Update By 2022/1/21 14:11
 */
public interface AdmAnalyseService {

    /**
     * 获得下一个逻辑类
     * @return : com.persagy.adm.server.backstage.service.AdmValve
     * @author : lijie
     * Update By 2022/1/21 15:24
     */
    AdmAnalyseService getNext();
    /**
     * 设置下一个逻辑类
     * @param valve : 逻辑处理类
     * return : void
     * @author : lijie
     * Update By 2022/1/21 15:24
     */
    void setNext(AdmAnalyseService valve);

    /**
     * 初始化方法,用于准备环境
     * return : void
     * @author : lijie
     * Update By 2022/1/21 10:59
     */
    void init() throws BusinessException;

    /**
     * 解析模型文件方法
     * return : void
     * @author : lijie
     * Update By 2022/1/21 10:59
     */
    void analysis(AdmAnalysisModel model);


    /**
     * 销毁方法
     * return : void
     * @author : lijie
     * Update By 2022/1/21 10:50
     */
    void destroy() throws BusinessException;

}
